{% block swag_guided_shopping_appointment_detail_base %}
    <div class="swag-guided-shopping-appointment-detail-base">
        <swag-guided-shopping-appointment-form
                :ref="(el) => { setAppointmentForm(el) }"
                :appointment="appointment"
                :cachedAppointmentData="cachedAppointmentData"
                :isLoading="isLoading"
                @cancel-recipient="onCancelRecipient"
        >

        </swag-guided-shopping-appointment-form>

        <div class="swag-guided-shopping-appointment-detail-action sw-card">
            <sw-button
                v-if="!appointment._isNew"
                variant="ghost-danger"
                size="small"
                @click="onOpenCancelAppointmentModal"
            >
                {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonCancelAppointment') }}
            </sw-button>

            <swag-guided-shopping-appointment-cancel-modal
                v-if="showCancelAppointmentModal"
                :appointment="appointment"
                @closeModal="onCloseCancelAppointmentModal"
                @confirmCancel="onConfirmCancelAppointment"
            >
            </swag-guided-shopping-appointment-cancel-modal>
        </div>
    </div>
{% endblock %}
